<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require("../vendor/autoload.php");
define("ROOT",__DIR__);
define("ENVIRONMENT", "development"); //or production

use Helper\YouOnMailer\Mailer\Mailer;

$person = new StdClass();
$person->name = "Pedro Silva";
$person->email = "psilva@youongroup.com";
$person->feats = array("feat 1" , "feat 2" , "feat 3" , "feat 4");

$emailData = array(
    "to" => array('psilva@youongroup.com' => "Pedro Silva"),
    "from" => array('psilva@youongroup.com' => "YouOnMailer"),
    "subject" => "E-mail subject",
    "message" => "",
    "view" => "email/email.php", 
    "attachments" => array(
        "attachment.txt"
    ),
    "attachmentsPath" => ROOT.'/tmp',
    "viewsPath" => ROOT.'/views',
    "viewData" => array("name" => "Pedro Silva" , 
                        "email" => "psilva@youongroup.com", 
                        "feats"=> array("feat 1" , "feat 2" , "feat 3" , "feat 4"),
                        "date" => new \DateTime(),
                        "obj" => $person )
);


$mailer = new Mailer(
    array(
        'host' => 'smtp.mailtrap.io',
        'port' => 2525,
        'protocol' => 'tls',
        'user' => '9c5536ccb80854',
        'password' => '0a7b94d216088d'
    ),
    ENVIRONMENT,
    $emailData
);

try{ 
    $sended = $mailer->sendEmail();

    if($sended){
        echo "E-mail was successfully sended";
    }else{
        print_r($sended);
        
        echo "Something went wrong when sending this email";
    }
}catch(\Exception $e){
    echo 'error occured while trying to send your message';
    echo "\n";
    echo $e->getMessage();
}





