<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require("../vendor/autoload.php");
define("ROOT",__DIR__);
define("VIEWSPATH", ROOT.DIRECTORY_SEPARATOR."views");
define("ATTACHMENTSPATH", ROOT.DIRECTORY_SEPARATOR."tmp");
define("ENVIRONMENT", "production"); //or production

use Helper\YouOnMailer\Mailer\Mailer;
use Helper\YouOnMailer\Mailer\Content\EmailContent;

$credentials = array(
    'host' => 'smtp.mailtrap.io',
    'port' => 2525,
    'protocol' => 'tls',
    'user' => '9c5536ccb80854',
    'password' => '0a7b94d216088d'
);

$mailer = new Mailer($credentials,ENVIRONMENT);

$content = new EmailContent();

$content->subject = "Email subject";
$content->from = array("email@youonmailer.com" => "from_name");
$content->to = array(
                    "psilva@youongroup.com",
                    "email_to_2@youonmailer.com",
                    "email_to_3@youonmailer.com",
                );

$content->viewsPath = VIEWSPATH;
$content->attachmentsPath = ATTACHMENTSPATH;
$content->view = "email/email.php";
$content->attachments = array();
$content->viewData = array("name" => "Pedro Silva" , "date" => new \DateTime());

$mailer->setEmailContent($content);

try{ 
    $sended = $mailer->sendEmail();

    if($sended){
        echo "E-mail was successfully sended\n";
    }else{
        echo "Something went wrong when sending this email\n";
    }
}catch(\Exception $e){
    echo 'error occured while trying to send your message';
    echo "\n";
    echo $e->getMessage();
}