<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require("../vendor/autoload.php");
define("ROOT",__DIR__);
define("VIEWSPATH", ROOT.DIRECTORY_SEPARATOR."views");
define("ATTACHMENTSPATH", ROOT.DIRECTORY_SEPARATOR."tmp");
define("ENVIRONMENT", "production"); //or production

use Helper\YouOnMailer\Mailer\Mailer;
use Helper\YouOnMailer\Mailer\Content\EmailContent;

$credentials = array(
    'host' => 'smtp.mailtrap.io',
    'port' => 2525,
    'protocol' => 'tls',
    'user' => '9c5536ccb80854',
    'password' => '0a7b94d216088d'
);
$content = new EmailContent(array(
    "to" => array('psilva@youongroup.com' => "Pedro Silva"),
    "from" => array('psilva@youongroup.com' => "YouOnMailer"),
    "cc" => array('psilva@youongroup.com' => "CC_ED"),
    "bcc" => array('psilva2@youongroup.com' => "BCC_ED"),
    "replyTo" => array('psilva@youongroup.com' => "REP"),
    "subject" => "E-mail subject",
    "message" => "",
    "view" => "email/email.php", 
    "attachments" => array(
        "attachment.txt"
    ),
    "attachmentsPath" => ROOT.'/tmp',
    "viewsPath" => ROOT.'/views',
    "viewData" => array("name" => "Pedro Silva" , 
                        "email" => "psilva@youongroup.com", 
                        "feats"=> array("feat 1" , "feat 2" , "feat 3" , "feat 4"),
                        "date" => new \DateTime())
));


$mailer = new Mailer($credentials,ENVIRONMENT);
$mailer->setEmailContent($content);

/*or*/
/* 
 *  
 * $mailer = new Mailer($credentials,ENVIRONMENT,$content);
 *
 *
 */

try{ 
    $sended = $mailer->sendEmail();

    if($sended){
        echo "E-mail was successfully sended\n";
    }else{
        echo "Something went wrong when sending this email\n";
    }
}catch(\Exception $e){
    echo 'error occured while trying to send your message';
    echo "\n";
    echo $e->getMessage();
}