<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width-width, initial-scale=1.0" />
    <title>E-mail newsletter</title>
    <style type="text/css">
      #outlook a {
        padding: 0;
      }
      body {
         width: 100% !important;
         -webkit-text-size-adjust: 100%;
         -ms-text-size-adjust: 100%;
         margin: 0;
         padding: 0;
         font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
         background-color: #f8f8f8;
         color:#999;
      }
      #backgroundTable {
         margin: 0;
         padding: 0;
         width: 100% !important;
         line-height: 100% !important;
         background-color: #f8f8f8;
      }
      /* End reset */
      img {
         outline: none;
         text-decoration: none;
         -ms-interpolation-mode: bicubic;
      }
      a img {
        border: none;
      }
      p {
        margin: 1em 0;
      }
      table td {
        border-collapse: collapse;
      }
      table {
         border-collapse: collapse;
         mso-table-lspace: 0pt;
         mso-table-rspace: 0pt;
      }

      a {
        color: #999999;
      }

      a.link-white, .link-white a {
        color: #ffffff;
      }

      /**/

      h1 {
        font-size: 26px;
        color: #000;
        text-transform: uppercase;
        font-weight: bold;
        margin: 0;
        padding: 0;
      }
      h2 {
        font-size: 20px;
        color: #000;
        font-weight: lighter;
        margin: 0;
        padding: 0;
      }
      h3 {
        font-size: 20px;
        color: #000;
        font-weight: bold;
        margin: 0;
        margin-bottom: 15px;
        padding: 0;
      }

      .border_a_l {
        border-left: 1px solid #eee;
      }
      .border_a_r {
        border-right: 1px solid #eee;
      }
      .border_a_t-b {
        border-top: 1px solid #eee;
        border-bottom: 1px solid #eee;
      }

      #m_table-items h3 {
        font-size: 14px;
        font-weight: bold;
        color: #9d0000;
        text-transform: uppercase;
        margin: 0;
      }

      #m_table-items h2 {
        font-size: 18px;
        color: #000;
        font-weight: bold;
        margin: 0;
      }
      #m_table-items p { 
        font-size: 14px;
        color: #999;
        line-height: 1.2;
        font-weight: normal;
        margin: 0;
        padding: 0;
      }

      #m_table-items span {
        font-size: 20px;
        font-weight: bold;
        color: #9d0000;
        margin: 0;
      }

      /**/
      #m_person-data .data td{
        padding: 20px;
      }

      #m_person-data .data .m__desc-title {
        font-size: 16px;
        color: #000;
        font-weight: bold;
      }

      #m_person-data .data .m__desc-info {
        font-size: 14px;
        color: #a1a1a1;
      }

      .border_b_l {
        border-left: 2px solid #ccc;
      }
      .border_b_r {
        border-right: 2px solid #ccc;
      }
      .border_b_t {
        border-top: 2px solid #ccc;
      }
      .border_b_b {
        border-bottom: 2px solid #ccc;
      }
      .border_b_t-b {
        border-top: 2px solid #ccc;
        border-bottom: 2px solid #ccc;
      }

      #m_resume-data td {
        padding-bottom: 10px;
        font-weight: bold;
        font-size: 16px;
        color: #000;
      }
      #m_resume-data .items {
        color: #a1a1a1;
      }
      #m_resume-data .price {
        color: #9d0000;
        font-weight: bold;
      }

      #m_resume-data #m_resume-data-total .title {
        font-size: 20px;
      }
      #m_resume-data #m_resume-data-total .price {
        font-size: 20px;
      }
      ul {
        margin-left: 0;
        margin-right: 0;
      }
      
    </style>
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
  </head>
  <body>
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#f5f5f5" align="center">
      <td width="600">
        <table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td height="40"> </td>
          </tr>
          <tr>
            <td>
              <div style="background-color:#eb1c74; padding:15px 15px ;border:1px solid #eb1c74; ">
                <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="50%" align="left">
                      
                    </td>
                  </tr>
                </table>
              </div>
              <div style="background-color:#ffffff; padding: 0px 20px 10px 0px;">
                <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0" style="width:100% !important;">
                  <tr>
                    <td align="center"> 
                      <p style="font-size: 14px; color: #a1a1a1;">Hello from <?php echo $name; ?> at <?php echo $date->format("Y-m-d"); ?></p> 
                    </td>
                  </tr>
                </table>
              </div>
              
              <div style="background-color:#ffffff; padding: 0px 20px 10px 0px;">
                <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0" style="width:100% !important;">
                  <tr>
                    <td align="center"> 
                    </td>
                  </tr>
                </table>
              </div>
                
              <div style="background-color:#eb1c74; padding: 20px 20px;">
                <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0" style="width:100% !important;">
                  <tr>
                    <td align="center">
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
          <tr>
            <td height="60"> </td>
          </tr>
        </table>
      </td>
    </table>
  </body>
</html>